
Smart Proxy - Feature #29252

Stop accepting TLS 1.1 connections

03/03/2020 12:06 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Security   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/752

  

Description

TLS 1.1 is not needed since all tools connecting to the Smart Proxy should support TLS 1.2. A general rule in security is to disable

what's not needed.

Related issues:

Related to foreman-tasks - Feature #29624: Stop accepting on TLS 1.1 Closed

Related to Installer - Tracker #31386: Default to TLS 1.2+ Resolved

Associated revisions

Revision ebdde78c - 03/04/2020 09:56 AM - Ewoud Kohl van Wijngaarden

Fixes #29252 - Stop accepting TLS 1.1 connections

TLS 1.1 is not needed since all tools connecting to the Smart Proxy

should support TLS 1.2. A general rule in security is to disable what's

not needed.

History

#1 - 03/03/2020 12:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/752 added

#2 - 03/04/2020 09:56 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 03/04/2020 10:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset ebdde78c329d6bf67b198446dae64d8952d0ac4a.

#4 - 03/04/2020 12:16 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Disable TLS 1.1 support in listening to Stop accepting TLS 1.1 connections

#5 - 04/26/2020 12:26 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #29624: Stop accepting on TLS 1.1 added

#6 - 03/18/2021 05:01 PM - Ewoud Kohl van Wijngaarden

- Related to Tracker #31386: Default to TLS 1.2+ added
